<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveNextUnique Method (DatabaseEntry, DatabaseEntry, LockingInfo)
Cursor Class See Also Send Feedback

If the cursor is not yet initialized, MoveNextUnique is identical to MoveFirst(LockingInfo). Otherwise, move the cursor to the next non-duplicate key in the database, and store that key and associated datum in Current. MoveNextUnique will return false if no non-duplicate key/data pairs exist after the cursor position in the database. If either the key or the data is partial DatabaseEntry, its PartialLen bytes starting PartialOffset bytes from the beginning of the retrieved data record are returned as if they comprised the entire record. If any or all of the specified bytes do not exist in the record, MoveNextUnique is successful, and any existing bytes are returned.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool MoveNextUnique(
    	DatabaseEntry key,
    	DatabaseEntry data,
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function MoveNextUnique ( _
    	key As DatabaseEntry, _
    	data As DatabaseEntry, _
    	info As LockingInfo _
    ) As Boolean

Visual C++

    public:
    bool MoveNextUnique(
    	DatabaseEntry^ key,
    	DatabaseEntry^ data,
    	LockingInfo^ info
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The retrieved key

data
  Type: BerkeleyDB..::.DatabaseEntry
  The retrieved data

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If the database is a Queue or Recno database, MoveNextUnique will ignore any keys that exist but were never explicitly created by the application, or those that were created and later deleted.

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

Cursor Class
MoveNextUnique Overload
BerkeleyDB Namespace